[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'base64' (#fcl)

# TBase64DecodingStream.Create

Create a new instance of the TBase64DecodingStream class

## Declaration

Source position: line 0

`public constructor TBase64DecodingStream.Create(`
`ASource: TStream`
`); constructor TBase64DecodingStream.Create(`
`ASource: TStream;`
`AMode: TBase64DecodingMode`
`);`

## Arguments

`ASource` |  | Source stream from which to read encoded data

## Arguments

`ASource` |  | Source stream from which to read encoded data
`AMode` |  | Encoding mode to be used when encoding

## Description

Create creates a new instance of the TBase64DecodingStream class. It stores the source stream ASource for reading the data from.

The optional AMode parameter determines the mode in which the decoding will be done. If omitted, bdmMIME is used.

## See also

TBase64EncodingStream.Create |  | Create a new instance of the TBase64EncodingStream class.
TBase64DecodingMode |  | Decoding mode for stream

Documentation generated on: Feb 26 2014